<?php
if ( ! defined('ABSPATH')) {
    exit;
}
$_GET['tab'] = isset($_GET['tab']) ? $_GET['tab'] : '';
$products    = admin_url('admin.php?page=tradedoubler&tab=products');
$codes       = admin_url('admin.php?page=tradedoubler&tab=codes');
$tracking    = admin_url('admin.php?page=tradedoubler&tab=tracking');
$settings    = admin_url('admin.php?page=tradedoubler&tab=settings');
$products    = admin_url('admin.php?page=tradedoubler&tab=products');
$urlLogin    = admin_url('admin.php?page=tradedoubler');
?>
<header class="header">
    <div class="header_container container">
        <a href="#" class="header_logo"><img
                    src="<?= TRADEDOUBLER_URI ?>/assets/images/logo.svg"
                    alt="grow"/></a>
        <div class="header_menu">
            <button class="header_menu_open">
                <img src="<?= TRADEDOUBLER_URI ?>/assets/images/menu-open.svg">
            </button>
            <div class="menu">
                <a href="#" class="menu_logo"><img
                            src="<?= TRADEDOUBLER_URI ?>/assets/images/logo.svg"
                            alt="grow"/></a>
                <a href="<?= $urlLogin ?>"
                   class="menu_item <?= $_GET['tab'] == ''
                                        || $_GET['tab'] == 'dashboard'
                       ? ' -current' : '' ?>">
                    <img src="<?= TRADEDOUBLER_URI ?>/assets/images/menu-dashboard<?= $_GET['tab']
                                                                                      == ''
                                                                                      || $_GET['tab']
                                                                                         == 'dashboard'
                        ? '-current' : '' ?>.svg">
                    <div class="menu_item_text">
                        Dashboard
                    </div>
                </a>
                <a href="<?= $products ?>"
                   class="menu_item <?= $_GET['tab'] == 'products' ? ' -current'
                       : '' ?>">
                    <img src="<?= TRADEDOUBLER_URI ?>/assets/images/menu-products<?= $_GET['tab']
                                                                                     == 'products'
                        ? '-current' : '' ?>.svg">
                    <div class="menu_item_text">
                        Products
                    </div>
                </a>
                <a href="<?= $codes ?>"
                   class="menu_item <?= $_GET['tab'] == 'codes' ? ' -current'
                       : '' ?>">
                    <img src="<?= TRADEDOUBLER_URI ?>/assets/images/menu-discount<?= $_GET['tab']
                                                                                     == 'codes'
                        ? '-current' : '' ?>.svg">
                    <div class="menu_item_text">
                        Discount Codes
                    </div>
                </a>
                <a href="<?= $tracking ?>"
                   class="menu_item <?= $_GET['tab'] == 'tracking' ? ' -current'
                       : '' ?>">
                    <img src="<?= TRADEDOUBLER_URI ?>/assets/images/menu-tracking<?= $_GET['tab']
                                                                                     == 'tracking'
                        ? '-current' : '' ?>.svg">
                    <div class="menu_item_text">
                        Tracking
                    </div>
                </a>
                <a href="<?= $settings ?>"
                   class="menu_item <?= $_GET['tab'] == 'settings' ? ' -current'
                       : '' ?>">
                    <img src="<?= TRADEDOUBLER_URI ?>/assets/images/menu-settings<?= $_GET['tab']
                                                                                     == 'settings'
                        ? '-current' : '' ?>.svg">
                    <div class="menu_item_text">
                        Settings
                    </div>
                </a>
                <a onclick="return confirm('Are you sure?')"
                   href="?page=tradedoubler&logout=1" class="logout -mobile">
                    Logout
                </a>
                <button class="header_menu_close">
                    <img src="<?= TRADEDOUBLER_URI ?>/assets/images/menu-close.svg">
                </button>
            </div>
        </div>
        <a onclick="return confirm('Are you sure?')"
           href="?page=tradedoubler&logout=1" class="logout -desktop">
            Logout
        </a>
    </div>
</header>