<?php
$api     = new TradedoublerAPI(get_option('tradedoubler_credentials',
    ''));
$currency = TradedoublerActions::getCurrency();
$topAffi = $api->getTopAffi($currency['currency']);
?>
<table>
    <tr>
        <td>#</td>
        <td>Affiliate Name</td>
        <td>Total Sales</td>
    </tr>
    <?php foreach ($topAffi['items'] as $ind => $single) { ?>
        <tr>
            <td><?= $ind + 1 ?></td>
            <td><?= $single['sourceName'] ?>
                <span><?= $single['sourceId'] ?></span></td>
            <td><?= strip_tags(wc_price(number_format($single['salesOrderValue'], 2))) ?></td>
        </tr>
    <?php } ?>
</table>