<?php
$api          = new TradedoublerAPI(get_option('tradedoubler_credentials',
    ''));
$currency = TradedoublerActions::getCurrency();
$transactions = $api->getRecentTransactions($currency['currency']);
?>
<table>
    <tr>
        <td>Affiliate</td>
        <td>Transaction Time</td>
        <td>Total Sales</td>
        <td>Commission</td>
        <td>Order Reference</td>
    </tr>
    <?php
    if (isset($transactions['items'])
        && is_array($transactions['items'])
    ) {
        foreach ($transactions['items'] as $single) { ?>
            <tr>
                <td><?= esc_html($single['sourceName']) ?>
                    <span><?= $single['sourceId'] ?></span>
                </td>
                <td><?= date('d.m.Y H:i',
                        strtotime($single['timeOfTransaction'])) ?></td>
                <td>
                    <?=  strip_tags(wc_price(number_format($single['orderValue'],
                        2))) ?></td>
                <td>
                    <?=  strip_tags(wc_price(number_format($single['commission'],
                        2))) ?></td>
                <td><?= $single['orderNumber'] ?></td>
            </tr>
        <?php }
    } ?>
</table>